From aa143fdf73dd7c206b175ee761c209e77ef2ed23 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Fri, 17 Aug 2012 14:43:50 +0200
Subject: [PATCH 4/4] contrib/OSX: use clang by default and add compilation
 support in case Xcode's command-line support package
 wasn't installed

---
 contrib/src/main.mak |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/contrib/src/main.mak b/contrib/src/main.mak
index 1c9abb5..f1a77e1 100644
--- a/contrib/src/main.mak
+++ b/contrib/src/main.mak
@@ -106,12 +106,12 @@ endif
 
 ifdef HAVE_MACOSX
 MIN_OSX_VERSION=10.6
-CC=gcc-4.2
-CXX=g++-4.2
-AR=ar
-LD=ld
-STRIP=strip
-RANLIB=ranlib
+CC=xcrun clang
+CXX=xcrun clang++
+AR=xcrun ar
+LD=xcrun ld
+STRIP=xcrun strip
+RANLIB=xcrun ranlib
 EXTRA_CFLAGS += -isysroot $(MACOSX_SDK) -mmacosx-version-min=$(MIN_OSX_VERSION) -DMACOSX_DEPLOYMENT_TARGET=$(MIN_OSX_VERSION)
 EXTRA_LDFLAGS += -Wl,-syslibroot,$(MACOSX_SDK) -mmacosx-version-min=$(MIN_OSX_VERSION) -isysroot $(MACOSX_SDK) -DMACOSX_DEPLOYMENT_TARGET=$(MIN_OSX_VERSION)
 ifeq ($(ARCH),x86_64)
-- 
1.7.7.5 (Apple Git-26)

